<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Club extends Model
{
    protected $fillable = ['district_id', 'name', 'address', 'contact_person', 'contact_phone'];

    public function district(): BelongsTo
    {
        return $this->belongsTo(District::class);
    }

    public function members(): HasMany
    {
        return $this->hasMany(Member::class);
    }

    public function coaches(): HasMany
    {
        return $this->hasMany(Coach::class);
    }
}
